Package twisted :: Package persisted :: Package journal :: Module picklelog :: Class DirDBMLog

[show private | hide private]
[frames | no frames]

## Class DirDBMLog

Log pickles to DirDBM directory.

Method Summary
| `__init__(self, logPath)`
| `getCommandsSince(self, index)`
| ``getCurrentIndex`(self)` Return index of last command logged.
| ``logCommand`(self, command, time)` Log a command.

Class Variable Summary
`class` | `ICommandLog`

Method Details

### getCurrentIndex(self)

Return index of last command logged.

### logCommand(self, command, time)

Log a command.

Class Variable Details

### ICommandLog

`ICommandLog` = `twisted.persisted.journal.base.ICommandLog`

Generated by Epydoc 1.1 on Sat Feb 15 21:17:56 2003 | http://epydoc.sf.net